Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick
Class XMLPackedSheet

    java.lang.Object
      org.newdawn.slick.XMLPackedSheet

    public class XMLPackedSheet

extends java.lang.Object

A sprite sheet based on an XML descriptor generated from the simple slick tool

Author:
  kevin

Constructor Summary
`XMLPackedSheet(java.lang.String imageRef, java.lang.String xmlRef)` Create a new XML packed sheet from the XML output by the slick tool

Method Summary
`Image` | `getSprite(java.lang.String name)` Get a sprite by it's given name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLPackedSheet

    public XMLPackedSheet(java.lang.String imageRef,
                          java.lang.String xmlRef)
                   throws SlickException

  Create a new XML packed sheet from the XML output by the slick tool

  Parameters:
    `imageRef` - The reference to the image
    `xmlRef` - The reference to the XML
  Throws:
    `SlickException` - Indicates a failure to parse the XML or read the image

Method Detail

### getSprite

    public Image getSprite(java.lang.String name)

  Get a sprite by it's given name

  Parameters:
    `name` - The name of the sprite to retrieve
  Returns:
    The sprite from the sheet or null if the name isn't used in this sheet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.